html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
}

footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 50px;
}

.headerColour {
    color: #2c387d;
}

th {
    color: white;
    background-color: #2c387d;
}



/* File input area styling */

.fileInputArea {
    border-radius: 1em;
    border-width: 3px;
    border-style: solid;
    border-color: #2c387d;
    background-color: #F2F2F2;
    margin-top: 1em;
    margin-bottom: 1em;
}

.fileInputAreaDropRegion {
    display: grid;
    height: 15em;
}

.fileInputAreaHeader {
    padding: 0.5em;
    background-color: #2c387d;
    border-top-left-radius: 1em;
    border-top-right-radius: 1em;
    border-bottom-width: 3px;
    border-bottom-color: #2c387d;
    border-bottom-style: solid;
    color: white
}

.fileInputAreaInfo {
    grid-row: 1;
    grid-column: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.fileInputAreaInfo label
{
    text-align: center;
}

.fileInputAreaInput {
    opacity: 0;
    grid-row: 1;
    grid-column: 1;
    cursor: pointer;
}

:root {
    --bs-border-width: 1px;
    --bs-border-color: #dee2e6;
}

table.dataTable.no-footer {
    border-bottom: var(--bs-border-width) solid var(--bs-border-color, #dee2e6) !important;
}

.table.table-bordered.dataTable > :not(caption) > * > * {
    border-color: var(--bs-border-color, #dee2e6) !important;
    border-bottom-width: var(--bs-border-width);
}

table.dataTable.table-bordered thead th {
    border-bottom: var(--bs-border-width) solid var(--bs-border-color, #dee2e6) !important;
    border-top: var(--bs-border-width) solid var(--bs-border-color, #dee2e6) !important;
}

.table.table-bordered.dataTable tbody tr:last-child > th,
.table.table-bordered.dataTable tbody tr:last-child > td {
    border-bottom: 1px solid var(--bs-border-color, #dee2e6) !important;
}

table.dataTable {
    border-collapse: separate;
}